Manages the state of objects in dotcms-js so compoents can Observe changes and reload as needed

### Hierarchy

- SiteBrowserState

## Index

### Properties

- currentFolder
- currentFolderSubject
- currentSetingsUpdated
- currentSettingsUpdatedSubject
- currentSite
- currentSiteSubject
- currentTreeable
- currentTreeableSubject
- currentURI
- currentURISubject

### Methods

- changeFolder
- changeSettingsUpdated
- changeSite
- changeTreeable
- changeURI
- getSelectedFolder
- getSelectedSite
- getSelectedTreeable
- getSettingsUpdated
- getURI

## Properties

### currentFolder

currentFolder: Observable<string> = this.currentFolderSubject.asObservable()

- Defined in core/util/site-browser.state.ts:18

### Private currentFolderSubject

currentFolderSubject: BehaviorSubject<string> = new BehaviorSubject<string>(null)

- Defined in core/util/site-browser.state.ts:12

### currentSetingsUpdated

currentSetingsUpdated: Observable<boolean> = this.currentSettingsUpdatedSubject.asObservable()

- Defined in core/util/site-browser.state.ts:21

### Private currentSettingsUpdatedSubject

currentSettingsUpdatedSubject: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(null)

- Defined in core/util/site-browser.state.ts:15

### currentSite

currentSite: Observable<string> = this.currentSiteSubject.asObservable()

- Defined in core/util/site-browser.state.ts:17

### Private currentSiteSubject

currentSiteSubject: BehaviorSubject<string> = new BehaviorSubject<string>(null)

- Defined in core/util/site-browser.state.ts:11

### currentTreeable

currentTreeable: Observable<Treeable> = this.currentTreeableSubject.asObservable()

- Defined in core/util/site-browser.state.ts:20

### Private currentTreeableSubject

currentTreeableSubject: BehaviorSubject<Treeable> = new BehaviorSubject<Treeable>(null)

- Defined in core/util/site-browser.state.ts:14

### currentURI

currentURI: Observable<string> = this.currentURISubject.asObservable()

- Defined in core/util/site-browser.state.ts:19

### Private currentURISubject

currentURISubject: BehaviorSubject<string> = new BehaviorSubject<string>(null)

- Defined in core/util/site-browser.state.ts:13

## Methods

### changeFolder

- changeFolder(folderName: string): void

- - Defined in core/util/site-browser.state.ts:31

  #### Parameters

  - ##### folderName: string

  #### Returns void

### changeSettingsUpdated

- changeSettingsUpdated(settingsUpdated: boolean): void

- - Defined in core/util/site-browser.state.ts:54

  #### Parameters

  - ##### settingsUpdated: boolean

  #### Returns void

### changeSite

- changeSite(siteName: string): void

- - Defined in core/util/site-browser.state.ts:23

  #### Parameters

  - ##### siteName: string

  #### Returns void

### changeTreeable

- changeTreeable(treeable: Treeable): void

- - Defined in core/util/site-browser.state.ts:46

  #### Parameters

  - ##### treeable: Treeable

  #### Returns void

### changeURI

- changeURI(uri: string): void

- - Defined in core/util/site-browser.state.ts:39

  #### Parameters

  - ##### uri: string

  #### Returns void

### getSelectedFolder

- getSelectedFolder(): string

- - Defined in core/util/site-browser.state.ts:35

  #### Returns string

### getSelectedSite

- getSelectedSite(): string

- - Defined in core/util/site-browser.state.ts:27

  #### Returns string

### getSelectedTreeable

- getSelectedTreeable(): Treeable

- - Defined in core/util/site-browser.state.ts:50

  #### Returns Treeable

### getSettingsUpdated

- getSettingsUpdated(): boolean

- - Defined in core/util/site-browser.state.ts:58

  #### Returns boolean

### getURI

- getURI(): string

- - Defined in core/util/site-browser.state.ts:42

  #### Returns string

Generated using TypeDoc